AbstractSignatureTypeProvider (Gradle API 8.11.1)

Package org.gradle.plugins.signing.type

## Class AbstractSignatureTypeProvider

- java.lang.Object
- - org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

- All Implemented Interfaces:
    `SignatureTypeProvider`
  Direct Known Subclasses:
    `DefaultSignatureTypeProvider`

      public abstract class AbstractSignatureTypeProvider
      extends java.lang.Object
      implements SignatureTypeProvider

  Convenience base class for `SignatureTypeProvider` implementations.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSignatureTypeProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SignatureType` | `getDefaultType()` |
    `SignatureType` | `getTypeForExtension​(java.lang.String extension)` |
    `boolean` | `hasTypeForExtension​(java.lang.String extension)` |
    `protected void` | `register​(SignatureType type)` |
    `void` | `setDefaultType​(java.lang.String defaultTypeExtension)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSignatureTypeProvider

          public AbstractSignatureTypeProvider()

  - ### Method Detail

    - #### getDefaultType

          public SignatureType getDefaultType()

      Specified by:
        `getDefaultType` in interface `SignatureTypeProvider`

    - #### setDefaultType

          public void setDefaultType​(java.lang.String defaultTypeExtension)

      Specified by:
        `setDefaultType` in interface `SignatureTypeProvider`

    - #### hasTypeForExtension

          public boolean hasTypeForExtension​(java.lang.String extension)

      Specified by:
        `hasTypeForExtension` in interface `SignatureTypeProvider`

    - #### getTypeForExtension

          public SignatureType getTypeForExtension​(java.lang.String extension)

      Specified by:
        `getTypeForExtension` in interface `SignatureTypeProvider`

    - #### register

          protected void register​(SignatureType type)